/* Website by Laura Jardim, 2025 - 05 - 05 */

@font-face {
  font-family: 'Satoshi Light';
  src: url("../fonts/Satoshi-Light.woff2") format("woff2");
}

@font-face {
  font-family: 'Satoshi Bold';
  src: url("../fonts/Satoshi-Bold.woff2") format("woff2");
}

@font-face {
  font-family: 'Bia Lira';
  src: url("../studentfonts/BiaLira_BB/BiaLira-Final-VF.ttf") format('truetype');
}

@font-face {
  font-family: 'Bia Lira Regular';
  src: url("../studentfonts/BiaLira_BB/BiaLira-wght1.00.ttf") format('truetype');
}

@font-face {
  font-family: 'Bia Lira Black';
  src: url("../studentfonts/BiaLira_BB/BiaLira-wght1000.ttf") format('truetype');
}

html, body {
  height: 100%;
  margin: 0;
  font-family: 'Satoshi Light';
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #DCFC73;
  color: black;
}

h1 {
  font-family: 'Satoshi Bold';
  font-size: 3rem;
}

  a {
    font-family: 'Satoshi Light';
    font-size: 1rem;
    text-decoration: none;
    color: black;
    color: inherit;
  }
  
  a:visited {
  color: inherit;
  text-decoration: none;
}

  a:hover, a:focus, a:active {
  color: inherit;
  text-decoration: none;
}

p {
  font-family: 'Satoshi Light';
  font-size: 1rem;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  height: 4rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 1rem;
  background: #f9f8f5;
  border-bottom: 0.05rem solid #000;
  z-index: 9000;
}

.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 4rem;
  margin-top: 4rem;
  background-color: #f9f8f5;
  border-right: 0.05rem solid black;
  overflow-x: hidden;
  z-index: 1000;
  display: flex;
  flex-direction: column;
  align-items: left;
  transition: width 0.3s ease;
}

.toggle-btn {
  background: none;
  border: none;
  color: rgb(0, 0, 0);
  font-size: 1.5rem;
  width: 2rem;
  margin-top: 1rem;
  cursor: pointer;
  z-index: 1001;
  position: relative;
}

/* Default: hamburger visible, bar hidden */
.hamburger-icon {
  display: inline;
  margin-left: 65%;
}

.bar-icon {
  display: none;
}

/* When sidebar is expanded: hide hamburger, show bar */
.sidebar.expanded .hamburger-icon {
  display: none;
}

.sidebar.expanded .bar-icon {
  display: inline;
  margin-left: 65%;
}

.sidebar.expanded {
  width: 15rem;
  transition: width 0.3s ease;
  z-index: 99999;
}

/* Hide menu items by default */
.menu-items {
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.1s ease;
  margin-top: 1.5rem;
  display: flex;
  flex-direction: column;
  align-items: left;
  justify-content: left;
  gap: 1rem;
  margin-left: 1rem;
}

.menu-items a {
  text-decoration: none;
  color: black;
  font-weight: bold;
  font-size: 1.5rem;
}

.menu-items a:hover {
  color: #666;
}

/* Show menu items when sidebar is expanded */
.sidebar.expanded .menu-items {
  opacity: 1;
  pointer-events: auto;
}

.main-content {
  margin-top: 3rem;
  margin-left: 3rem;
  padding: 2rem 0.2rem 0.2rem 1.2rem;
}

header h1 {
  font-family: 'Satoshi Bold';
  font-size: 1.6rem;
}

main {
  padding: 0.5rem;
  padding-top: 0rem;
}

.font-card {
  display: block;
  background: #f9f8f5;
  border-radius: 1rem;
  border: 0.05rem solid #000000;
  padding: 1.2rem;
  margin-bottom: 1.5rem;
  height: auto;
  overflow-wrap: break-word;
  word-break: break-word;
  overflow: hidden;
}

.font-card-about {
  display: flex;
  position: relative;
  background: #f9f8f5;
  border-radius: 20px;
  border: 0.05rem solid #000000;
  margin-bottom: 20px;
  overflow: hidden;
  align-items: center; /* Vertically center all contents */
  padding: 20px;
  flex-direction: column;
  justify-content: flex-start; /* aligns to the top */
}

.card-header {
  flex-grow: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.card-header .sliders {
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: center;
  padding: 0 10rem;
}


/* Remove .author styling since it’s no longer in use */
.author {
  display: none;
}

input[type="range"] {
  -webkit-appearance: none; /* For Chrome, Safari, Edge */
  appearance: none;
  width: 8rem;
  height: 0.1rem;
  background: black;
  border-radius: 0.05rem;
  margin: 0.7rem 0;
  cursor: pointer;
}

/* Chrome, Safari, Edge */
input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 1rem;
  width: 1rem;
  background: #f9f8f5;
  border: 0.05rem solid black;
  border-radius: 50%;
  margin-top: -0px; /* Centers thumb on track */
  cursor: pointer;
}

/* Firefox */
input[type="range"]::-moz-range-thumb {
  height: 1rem;
  width: 1rem;
  background: #f9f8f5;
  border: 0.05rem solid black;
  border-radius: 50%;
  cursor: pointer;
}

/* Firefox track */
input[type="range"]::-moz-range-track {
  height: 1rem;
  background: black;
  border-radius: 0.05rem;
}

.preview {
  font-size: 64px;
  margin: 20px 0;
  text-align: center;
}

.preview-bialira {
  font-family: 'Bia Lira';
  font-variation-settings: "lineHeight" 1.2;
  font-size: 8rem;
  padding:30px;
  padding-top: 50px;
  padding-bottom: 30px;
  text-align: center;
  max-width: 100%;
  margin: 0;
  word-wrap: break-word;
  white-space: normal; /* this ensures it wraps */
}

.preview-bialira-regular {
  font-family: 'Bia Lira';
  font-variation-settings: "lineHeight" 1.2;
  font-size: 8rem;
  padding:30px;
  padding-top: 50px;
  padding-bottom: 30px;
  text-align: center;
  max-width: 100%;
  margin: 0;
  word-wrap: break-word;
  white-space: normal; /* this ensures it wraps */
}

.preview-bialira-black {
  font-family: 'Bia Lira';
  font-variation-settings: "lineHeight" 1.2;
  font-size: 8rem;
  padding:30px;
  padding-top: 50px;
  padding-bottom: 30px;
  text-align: center;
  max-width: 100%;
  margin: 0;
  word-wrap: break-word;
  white-space: normal; /* this ensures it wraps */
}

#fontPreview {
  cursor: text;
  /* font-variation-settings: 'wght' 400; */
  white-space: pre-wrap;
  word-break: break-word;
  overflow-wrap: break-word;
}

#fontPreview:focus {
  outline: none;
}

.author {
  font-size: 13rem;
  color: #000000;
  text-align: left;
}

.learnmore{
  font-size: 13px;
  text-align: right;
}

.resetBtn {
  position: absolute;
  bottom: 1rem;
  right: 1rem;
  width: 2rem;
  height: 2rem;
  border: 0.05rem solid black;
  background-color: #f9f8f5;
  color: black;
  border-radius: 50%;
  font-size: 1rem;
  line-height: 1;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 0.2s, transform 0.2s;
}

.resetBtn:hover {
  background-color: #f9f8f5;
  transform: rotate(-10deg);
}

@keyframes fadeUp {
  100% {
    opacity: 1;
    transform: translateY(0px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.font-card {
  opacity: 0;
  transform: translateY(0px);
  transition: opacity 0.6s ease, transform 0.6s ease;
  pointer-events: none;
  padding: 25px;
}

.font-card.visible {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.aboutthefont {
  font-family: 'Satoshi Light';
  text-align: center;
  border-radius: 25px;
  border: 0.05rem solid #000000;
  padding-top: 5px;
  padding-bottom: 25px;
  width: 8rem;
  height: 20px;
}

.informationfont {
  font-family: 'Satoshi Light';
  font-size: 0.90rem;
  line-height: 1.2rem;
  padding: 20px;
  text-align: center;
  width: 66%;
}

.informationfont div:not(:last-child) {
  margin-bottom: 10px;
}

.subtitle-character{
  font-family: 'Satoshi Light';
  font-size: 0.8rem;
  text-align: center;
  color: #3d3d3d;
  border-radius: 25px;
  border: 1px solid #8d8d8d;
  width: fit-content;
  padding: 5px 10px;
  margin-top: 30px;
  margin-bottom: -8px;
}

.fontauthor {
  display: flex;
  margin-top: 30px;
  gap: 8px; /* spacing between text and arrow */
  align-items: center;
}

.aboutthefont {
  font-family: 'Satoshi Light';
  text-align: center;
  border-radius: 25px;
  border: 0.05rem solid #000000;
  padding: 10px 15spx;
  height: 50px;
  width: 10rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.aboutthecharacter{
  font-family: 'Satoshi Light';
  text-align: center;
  border-radius: 25px;
  border: 1px solid #000000;
  padding: 5px 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 30px;
}

.arrowportfolio {
  display: flex;
  font-size: 0.8rem;
  align-items: center;
  justify-content: center;
  width: 30px;
  height: 30px;
  border: 1px solid #000;
  border-radius: 50%;
  cursor: pointer;
  transition: scale 0.2s ease;
}

.arrowportfolio:hover {
  background: #eee;
}

.font-grid {
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  gap: 5px;
  padding: 20px;
  font-family: 'Bia Lira';
}

.char {
  font-family:'Bia Lira Regular';
  aspect-ratio: 1 / 1;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 3rem;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 20px; /* ← this adds breathing room! */
  padding-top: 30px;
  transition: transform 0.4s ease, box-shadow 0.4s ease;
}

.char-black {
  font-family:'Bia Lira Black';
  aspect-ratio: 1 / 1;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 3rem;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 20px; /* ← this adds breathing room! */
  padding-top: 30px;
  transition: transform 0.4s ease, box-shadow 0.4s ease;
}

.char:hover,
.char-black:hover {
  transform: scale(1.8) rotate(360deg);
  box-shadow: 0 8px 25px rgba(0, 0, 0, 0.2);
  z-index: 10;
  background: #f9f8f5;
}

.char::after,
.char-black::after {
  content: attr(data-char);
  font-family: 'Satoshi Light';
  font-size: 0.5rem;
  position: absolute;
  bottom: -25px;
  left: 50%;
  transform: translateX(-50%);
  background: #000000;
  color: #f9f8f5;
  padding: 4px 8px;
  border-radius: 6px;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s ease;
  z-index: 20;
}

.char:hover::after,
.char-black:hover::after {
  opacity: 1;
}

.char:not([data-char]):hover::after,
.char[data-char=""]:hover::after {
  display: none;
}

.fontauthor-download {
  display: flex;
  gap: 8px; /* spacing between text and arrow */
  align-items: center;
  margin-top: 80px;
}

.aboutthefont {
  font-family: 'Satoshi Light';
  text-align: center;
  border-radius: 25px;
  border: 1px solid #000000;
  padding: 5px 10px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* BUTTONS AND THINGS !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */

/* Arrow buttons for navigating font pages */
.nav-arrow {
  position: fixed;
  font-family: 'Satoshi Light';
  bottom: 1rem;
  right: 20px;
  font-size: 1.2rem;
  cursor: pointer;
  z-index: 10;
  background: #f9f8f5;
  border: 0.05rem solid black;
  background: #E1D2F3;
  border-radius: 50%;
  width: 2rem;
  height: 2rem;
  line-height: 1;
  transition: transform 0.2s ease;
  z-index:9999999;
  padding-bottom: 5px;
}

.nav-arrow:hover {
  transform: scale(1.1);
}

.nav-arrow.left {
  left: 1rem;
}

.back-to-top {
  position: fixed;
  bottom: 1rem;
  font-family: 'Satoshi Light';
  right: 1.2rem;
  font-size: 1.2rem;
  border: 0.05rem solid black;
  background: #E1D2F3;
  border-radius: 50%;
  width: 2.5rem;
  height: 2.5rem;
  cursor: pointer;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
}

.back-to-top:hover {
  transform: translateY(-0.2rem);
}

/* Arrow for bottom - download */
.download-arrow {
  position: absolute;
  position: fixed;
  font-family: 'Satoshi Light';
  top: 1.2rem;
  left: 45%;
  font-size: 1rem;
  cursor: pointer;
  z-index: 10;
  background: #f9f8f5;
  border: 0.05rem solid black;
  background: #E1D2F3;
  border-radius: 1rem;
  line-height: 1;
  transition: transform 0.2s ease;
  z-index:9999999;
  padding: 0.5rem;
}

.download-arrow:hover {
  transform: scale(1.1);
}

.download-arrow.left {
  left: 1rem;
}

.scrollbar {
            height: 100%;
            width: 100%;
            overflow: auto;
            padding: 0 10px;
        }
        
        #scrollbar::-webkit-scrollbar {
            width: 0.4rem;
        }
        
        #scrollbar::-webkit-scrollbar-track {
            border-radius: 10px;
            background-color: #f9f8f5;
            border: 1px solid #000000;
        }
        
        #scrollbar::-webkit-scrollbar-thumb {
            border-radius: 8px;
            height: 1rem;
            background-color: rgb(0, 0, 0);
        }

  @media (min-width: 1600px) {
  html {
    font-size: 24px;
  }
}